org.keycloak.dom.saml.v2.protocol

## Class NameIDMappingResponseType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonResponseType
  - - org.keycloak.dom.saml.v2.protocol.StatusResponseType
    - - org.keycloak.dom.saml.v2.protocol.NameIDMappingResponseType

- All Implemented Interfaces:
    Serializable, SAML2Object

      public class NameIDMappingResponseType
      extends StatusResponseType

  Java class for NameIDMappingResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="NameIDMappingResponseType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}StatusResponseType">
             <choice>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}NameID"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}EncryptedID"/>
             </choice>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EncryptedElementType` | `encryptedID`
    `protected NameIDType` | `nameID`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.protocol.StatusResponseType

      `consent, destination, extensions, id, issueInstant, issuer, status, version`

    - ### Fields inherited from class org.keycloak.dom.saml.common.CommonResponseType

      `inResponseTo, signature`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameIDMappingResponseType(String id, XMLGregorianCalendar issueInstant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EncryptedElementType` | `getEncryptedID()` Gets the value of the encryptedID property.
    `NameIDType` | `getNameID()` Gets the value of the nameID property.
    `void` | `setEncryptedID(EncryptedElementType value)` Sets the value of the encryptedID property.
    `void` | `setNameID(NameIDType value)` Sets the value of the nameID property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.protocol.StatusResponseType

      `getConsent, getDestination, getExtensions, getIssuer, getStatus, getVersion, setConsent, setDestination, setExtensions, setIssuer, setStatus`

    - ### Methods inherited from class org.keycloak.dom.saml.common.CommonResponseType

      `getID, getInResponseTo, getIssueInstant, getSignature, setInResponseTo, setSignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nameID

          protected NameIDType nameID

    - #### encryptedID

          protected EncryptedElementType encryptedID

  - ### Constructor Detail

    - #### NameIDMappingResponseType

          public NameIDMappingResponseType(String id,
                                           XMLGregorianCalendar issueInstant)

  - ### Method Detail

    - #### getNameID

          public NameIDType getNameID()

      Gets the value of the nameID property.
      Returns:
        possible object is `NameIDType`

    - #### setNameID

          public void setNameID(NameIDType value)

      Sets the value of the nameID property.
      Parameters:
        `value` - allowed object is `NameIDType`

    - #### getEncryptedID

          public EncryptedElementType getEncryptedID()

      Gets the value of the encryptedID property.
      Returns:
        possible object is `EncryptedElementType`

    - #### setEncryptedID

          public void setEncryptedID(EncryptedElementType value)

      Sets the value of the encryptedID property.
      Parameters:
        `value` - allowed object is `EncryptedElementType`

Copyright © 2021 JBoss by Red Hat. All rights reserved.